## gregorio 0.9.2

=== fonts/Makefile ===
## This makefile is made to build to fonts from the sfd, it won't be useful for
## the average user.

## declaration of files:

gregorio_PFB= \
	gregorio-0.pfb \
	gregorio-1.pfb \
	gregorio-2.pfb \
	gregorio-3.pfb \
	gregorio-4.pfb \
	gregorio-5.pfb \
	gregorio-6.pfb \
	gregorio-7.pfb \
	gregorio-8.pfb

gregorio_TFM= $(gregorio_PFB:.pfb=.tfm)
gregorio_PL= $(gregorio_PFB:.pfb=.pl)

gregorio_OFM=gregorio.ofm
gregorio_OVF=gregorio.ovf
gregorio_OVP=gregorio.ovp

## 

parmesan_PFB= \
	parmesan-0.pfb \
	parmesan-1.pfb \
	parmesan-2.pfb \
	parmesan-3.pfb \
	parmesan-4.pfb \
	parmesan-5.pfb \
	parmesan-6.pfb \
	parmesan-7.pfb \
	parmesan-8.pfb

parmesan_TFM= $(parmesan_PFB:.pfb=.tfm)
parmesan_PL= $(parmesan_PFB:.pfb=.pl)

parmesan_OFM=parmesan.ofm
parmesan_OVF=parmesan.ovf
parmesan_OVP=parmesan.ovp

## 

greciliae_PFB= \
	greciliae-0.pfb \
	greciliae-1.pfb \
	greciliae-2.pfb \
	greciliae-3.pfb \
	greciliae-4.pfb \
	greciliae-5.pfb \
	greciliae-6.pfb \
	greciliae-7.pfb \
	greciliae-8.pfb

greciliae_TFM= $(greciliae_PFB:.pfb=.tfm)
greciliae_PL= $(greciliae_PFB:.pfb=.pl)

greciliae_OFM=greciliae.ofm
greciliae_OVF=greciliae.ovf
greciliae_OVP=greciliae.ovp

PFB=$(parmesan_PFB) $(gregorio_PFB) $(greciliae_PFB)

ENC=$(PFB:.pfb=.enc)
TFM=$(PFB:.pfb=.tfm)
AFM=$(PFB:.pfb=.afm)
PL=$(PFB:.pfb=.pl)

## common rules

%.pe: squarize.py
	python squarize.py $*

%.pl: %.tfm
	tftopl $< $@

%.ovp: create-ovp.perl $(PL)
	perl create-ovp.perl $*

%.ofm %.ovf: %.ovp
	ovp2ovf $< $*.ovf $*.ofm

## rules specific to a font

## gregorio rules
$(gregorio_PFB): gregorio.pe gregorio-base.sfd
	fontforge gregorio.pe

$(gregorio_TFM): $(gregorio_PFB)

## parmesan rules
$(parmesan_PFB): parmesan.pe parmesan-base.sfd
	fontforge parmesan.pe

$(parmesan_TFM): $(parmesan_PFB)

## greciliae rules
$(greciliae_PFB): greciliae.pe greciliae-base.sfd
	fontforge greciliae.pe

$(greciliae_TFM): $(greciliae_PFB)

## rules tu put all this in common

all_PFB= $(parmesan_PFB) $(gregorio_PFB) $(greciliae_PFB) gresym.pfb
all_TFM= $(parmesan_TFM) $(gregorio_TFM) $(greciliae_TFM) gresym.tfm
all_OVF= $(parmesan_OVF) $(gregorio_OVF) $(greciliae_OVF)
all_OVP= $(parmesan_OVP) $(gregorio_OVP) $(greciliae_OVP)
all_OFM= $(parmesan_OFM) $(gregorio_OFM) $(greciliae_OFM)

## build rules

FONTS=$(all_PFB) $(all_TFM) $(all_OVF) $(all_OFM) $(all_OVP)

## rules for the files to clean

CLEANFILES=$(ENC) $(AFM) $(PFB) $(TFM) $(all_OVF) $(all_OVP) $(all_OFM) *.pe

all: $(FONTS)

clean:
	rm $(CLEANFILES)

install:
	python install.py
	
.DEFAULT_GOAL := all

## gregorio 2.0

=== fonts/Makefile ===
--- 
+++ 
@@ -104,8 +104,8 @@
 
 ## rules tu put all this in common
 
-all_PFB= $(parmesan_PFB) $(gregorio_PFB) $(greciliae_PFB) gresym.pfb
-all_TFM= $(parmesan_TFM) $(gregorio_TFM) $(greciliae_TFM) gresym.tfm
+all_PFB= $(parmesan_PFB) $(gregorio_PFB) $(greciliae_PFB) gresym.pfb greextra.pfb
+all_TFM= $(parmesan_TFM) $(gregorio_TFM) $(greciliae_TFM) gresym.tfm greextra.tfm
 all_OVF= $(parmesan_OVF) $(gregorio_OVF) $(greciliae_OVF)
 all_OVP= $(parmesan_OVP) $(gregorio_OVP) $(greciliae_OVP)
 all_OFM= $(parmesan_OFM) $(gregorio_OFM) $(greciliae_OFM)

## gregorio 2.3

=== fonts/Makefile ===
## This makefile is made to build to fonts from the sfd, it won't be useful for
## the average user.

SRCFILES = Makefile
DOCFILES = INSTALL FONTLOG 
TTFFILES = gregorio.ttf greciliae.ttf parmesan.ttf gresym.ttf greextra.ttf
FNTSRCFILES = gregorio-base.sfd parmesan-base.sfd greciliae-base.sfd squarize.py greextra.sfd gresym.sfd
TEXFILES = $(wildcard ../tex/*.tex) $(wildcard ../tex/gregorio*.sty) $(wildcard ../tex/*.lua)
ALLFILES = $(SRCFILES) $(DOCFILES) $(TEXFILES) $(TTFFILES) $(FNTSRCFILES)

TDS_ZIP = $(NAME).tds.zip

# Installation locations
FORMAT = luatex
NAME = gregoriotex
TEXDIR = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
TTFDIR = $(TEXMFROOT)/fonts/truetype/public/$(NAME)
SRCDIR = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
FNTSRCDIR = $(TEXMFROOT)/fonts/source/$(NAME)

# a default value
TEXMFROOT = `kpsewhich -var-value TEXMFLOCAL`

# installation rules
INSTALL_TEXFILES = @mkdir -p $(TEXDIR) && cp $(TEXFILES) $(TEXDIR)
INSTALL_DOCFILES = @mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
INSTALL_SRCFILES = @mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
INSTALL_TTFFILES = @mkdir -p $(TTFDIR) && cp $(TTFFILES) $(TTFDIR)
INSTALL_FNTSRCFILES = @mkdir -p $(FNTSRCDIR) && cp $(FNTSRCFILES) $(FNTSRCDIR)

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALLFILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(INSTALL_TEXFILES)
	$(INSTALL_DOCFILES)
	$(INSTALL_SRCFILES)
	$(INSTALL_TTFFILES)
	$(INSTALL_FNTSRCFILES)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)
	
install: $(ALLFILES)
	@echo "Installing in '$(TEXMFROOT)'."
	@mkdir -p $(TEXMFROOT)
	$(INSTALL_TEXFILES)
	$(INSTALL_DOCFILES)
	$(INSTALL_SRCFILES)
	$(INSTALL_TTFFILES)
	$(INSTALL_FNTSRCFILES)
	texhash

gregorio.ttf: squarize.py gregorio-base.sfd
	python squarize.py gregorio

parmesan.ttf: squarize.py parmesan-base.sfd
	python squarize.py parmesan
	
greciliae.ttf: squarize.py greciliae-base.sfd
	python squarize.py greciliae

all: gregorio.ttf parmesan.ttf greciliae.ttf

gregorio: gregorio.ttf

greciliae: greciliae.ttf

parmesan: parmesan.ttf

gregoria: Gregoria.otf Gregoria-Auctae.otf Gregoria-Deminutae.otf gregoria2gregorio.py
	python gregoria2gregorio.py

tds: $(TDS_ZIP)

clean:
	rm $(TDS_ZIP)
	
.DEFAULT_GOAL := all

=== debian/changelog ===
gregorio (2.3-1) unstable; urgency=low

  * New upstream version:
     - fixing absolute path handling
     - fixing several segfaults
     - fixing height of automatic custo
     - fixing height of the bars in some cases
     - fixing italic and bold automatic hyphen and ligatures
     - cs: field now accepts non-ascii characters
     - missing additional lines on porrectus
     - braces over the notes should now work as documented
     - vertical spaces are resetted between scores
     - errors now affect the return value
     - adapting to LuaTeX >= 0.75
     - droppint support for TeXLive < 2010
     - dropping support for Aleph/Omega
     - font system is now based on ttf files
     - fixing lintian warnings and errors
  * New watch file
  * Bump Standards-Version to 3.9.4.0
  * Build-Depends on dh-autoreconf and dpkg-dev
  * Bump compat to 9
  * New maintainer (Closes: #675755)
  * Adding Vcs-Browser and Vcs-Svn fields
  * Switch to dpkg-source 3.0 (quilt) format

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Sat, 22 Jun 2013 14:50:45 +0200

gregorio (2.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * tex-common v3 transition:
    . build-depend on tex-common (>= 3)
      (debian/control)
    . remove obsolete conffile updmap.d/20gregoriotex.cfg 
      (debian/gregoriotex.maintscript)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 11:26:28 +0900

gregorio (2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #621334).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 19:29:34 +0200

gregorio (2.0-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Bump Standards-Version to 3.9.1.0
  * [gregoriotex] Add dependency on texlive-latex-extra
  * debian/gregorio.{postinst,postrm}: remove
  * debian/rules: fix calls to dh_clean

 -- Jérôme Marant <jerome@debian.org>  Wed, 05 Jan 2011 22:19:35 +0100 

gregorio (1.0-1) unstable; urgency=low

  * New upstream version:
     - fixing a lot of bugs
     - changing the number of arguments of some TeX function
     - changing the glyph names
     - improving the spacings
     - better management of the penalty in TeX so that the line changes
       are more consistent
     - adding the possibility to put a flat after the clef
     - adding the possibility to put a custo before a clef change
     - changing the markup system in gabc to be more natural
     - adaptation to TeXLive 2010 for LuaTeX

  * Adding instructions about adding gregorio to the list of the 
    programs allowed to be executed from TeX in the README.Debian
  * Closing bug #572470 (depending on autopoint)

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Sat, 29 May 2010 14:50:45 +0200

gregorio (0.9.2-1) unstable; urgency=low

  * New upstream version:
     - fixing a lot of bugs
     - changing the number of arguments of some TeX function
     - changing the glyph names
     - LuaTeX additional functionalities

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Sun, 27 Dec 2008 11:19:26 +0200

gregorio (0.9.1-1) unstable; urgency=low

  * New upstream version:
     - fixing a lot of small bugs
     - changing the number of arguments of some TeX functions

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Sun, 23 Nov 2008 16:19:26 +0200

gregorio (0.9-1) unstable; urgency=low

  * New upstream version:
     - stabilizing the TeX API
     - adding support for Cygwin compilation
     - adding too many new features to be listed

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Fri, 25 Jul 2008 14:19:26 +0200

gregorio (0.3-1) unstable; urgency=low

  * New upstream version:
     - adding support for end of lines
     - changing the architecture of libraries and plugins
     - adding support for compilation on MAC OSX

 -- Elie Roux <elie.roux@enst-bretagne.fr>  Fri, 18 Jan 2008 10:06:46 +0200

gregorio (0.2.2-1) unstable; urgency=low

  * New upstream version:
     - adding support for styled text
     - correcting small bugs in OpusTeX output
     - changing GregorioXML on the text

 -- Elie Roux <elie.roux@enst-bretagne.fr>  Thu, 14 Jun 2007 19:28:46 +0200

gregorio (0.2.1-1) unstable; urgency=low

  * Initial debian release

 -- Elie Roux <elie.roux@enst-bretagne.fr>  Mon, 04 Jun 2007 22:47:32 +0200

=== debian/control ===
Source: gregorio
Section: x11
Priority: optional
Maintainer: Elie Roux <elie.roux@telecom-bretagne.eu>
Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), dh-autoreconf, autotools-dev, libxml2-dev, flex, bison, docbook-to-man, xsltproc, libltdl7-dev, tex-common, docbook-xsl, autopoint, python-fontforge
Standards-Version: 3.9.4.0
Homepage: http://home.gna.org/gregorio
Vcs-Browser: http://svn.gna.org/viewcvs/gregorio/
Vcs-Svn: svn://svn.gna.org/svn/gregorio

Package: gregorio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gregoriotex
Description: command-line tool to typeset Gregorian chant
 Gregorio is a project with a lot of functionalities. The main interest is gabc,
 a very simple and fast language to describe a Gregorian chant score.
 The project is for now a command-line tool to convert gabc files into real
 score, like for example OpusTeX or GregorioTeX. But it also handles a XML
 format: GregorioXML.  You can use the tool to read or write gabc and
 GregorioXML, and to write OpusTeX and GregorioTeX.

Package: gregoriotex
Architecture: all
Depends: luatex, texlive-luatex, ${misc:Depends}
Recommends: gregorio
Description: LuaTeX style for Gregorian chant scores
 GregorioTeX is a LuaTeX style for writing Gregorian chant scores.
 The code to write for a score is quite complex and should be written directly
 by the gregorio software.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

deb:
	debuild -i

config.status:
	dh_testdir
	dh_autoreconf
	dh_auto_configure -- --enable-all-static --enable-xml-read

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	xsltproc --nonet /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl debian/manpage.xml
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_auto_clean
	dh_autoreconf_clean
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-aux/config.sub
	rm -f build-aux/config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/gregorio install
#	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/gregorio -name '*.la'`

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installexamples -i examples/*.tex examples/PopulusSion.gabc
	dh_installtex -pgregoriotex -i
	dh_install -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installexamples -i examples/PopulusSion.gabc
	dh_lintian -a
	dh_installman -a gregorio.1
	dh_installdocs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

%:
	dh $@ --with tex --with autoreconf --with autotools-dev

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://download.gna.org/gregorio/releases/current/ \
(?:.*/|.*=|)gregorio[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Wed, 29 May 2013 17:29:47 +0000
